Red Hat Customer Portal

Skip to main content

CVE-2012-1938

Multiple unspecified vulnerabilities in the browser engine in Mozilla Firefox before 13.0, Thunderbird before 13.0, and SeaMonkey before 2.10 allow remote attackers to cause a denial of service (memory corruption and application crash) or possibly execute arbitrary code via vectors related to (1) methodjit/ImmutableSync.cpp, (2) the JSObject::makeDenseArraySlow function in js/src/jsarray.cpp, and unknown other components.

Details Source

Mitre

Public Date

2012-06-05 00:00:00

Impact

Critical

Bugzilla

CVE-2011-3101 CVE-2012-1937 CVE-2012-1938 CVE-2012-1939 CVE-2012-3105 Mozilla: Miscellaneous memory safety hazards (rv:13.0/ rv:10.0.5) (MFSA 2012-34)

Bugzilla ID

827 829

CVSS Status

verified

Base Score

6.80

Base Metrics

AV:N/AC:M/Au:N/C:P/I:P/A:P

Acknowledgements

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges Jesse Ruderman, Igor Bukanov, Bill McCloskey, Christian Holler, Andrew McCreight, and Brian Bondy as the original reporters.

Red Hat Security Errata

Platform Errata Release Date
Red Hat Enterprise Linux 6 (thunderbird) RHSA-2012:0715 2012-06-06
Red Hat Enterprise Linux 5 (thunderbird) RHSA-2012:0715 2012-06-06
Red Hat Enterprise Linux Optional Productivity Applications (v. 5 server) (thunderbird) RHSA-2012:0715 2012-06-06
Red Hat Enterprise Linux 5 (firefox) RHSA-2012:0710 2012-06-05
Red Hat Enterprise Linux 6 (firefox) RHSA-2012:0710 2012-06-05

Affected Packages State

Platform Package State
Red Hat Enterprise Linux version 6 xulrunner 10.0.5-1.el6_2 Fixed
Red Hat Enterprise Linux version 5 xulrunner 10.0.5-1.el5_8 Fixed